aboutsummaryrefslogtreecommitdiffstats
path: root/extra/screen/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-02-27 19:53:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-02 09:19:36 +0000
commit20418e7472c40b2e20bb535a4ee242cb97e49e32 (patch)
tree489c88046c57d25a2b17048a4aab21df222a060a /extra/screen/APKBUILD
parentee533f46e3e8c43a0af7f7b5ac445d4c7e2c8487 (diff)
downloadaports-20418e7472c40b2e20bb535a4ee242cb97e49e32.tar.gz
aports-20418e7472c40b2e20bb535a4ee242cb97e49e32.tar.bz2
aports-20418e7472c40b2e20bb535a4ee242cb97e49e32.tar.xz
extra/screen Initial commit
Diffstat (limited to 'extra/screen/APKBUILD')
-rw-r--r--extra/screen/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/extra/screen/APKBUILD b/extra/screen/APKBUILD
new file mode 100644
index 0000000000..ffa48fa208
--- /dev/null
+++ b/extra/screen/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer:
+pkgname=screen
+pkgver=4.0.3
+pkgrel=0
+pkgdesc="A window manager that multiplexes a physical terminal"
+url="http://ftp.gnu.org/gnu/screen/"
+license="GPL"
+depends="uclibc ncurses"
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="http://ftp.gnu.org/gnu/screen/$pkgname-$pkgver.tar.gz
+ $pkgname-$pkgver.patch"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ for i in ../*.patch; do
+ msg "Applying $i"
+ patch -p1 < $i || return 1
+ done
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="8506fd205028a96c741e4037de6e3c42 screen-4.0.3.tar.gz
+243e18daf4b2bbff898fdf0d772fad52 screen-4.0.3.patch"